Module

Prev Next

Module JSON Format

Module is represented as simple flat JSON objects with the following keys:

Name Type Description
id string ID of module.
name string Name of module.
description string Description of module.
order integer Order of module.
isDeleted bool Whether the module is deleted or not.

Get the list of Modules

GET global/modules

  • Parameters:

No Parameters

  • Response:

An array of Module

  • Example

Sample Request:

curl https://partnerapi.comm100.io/v4/global/modules \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "id": "LiveChat",
      "name": "Live Chat",
      "description": "This is LiveChat.",
      "order": 1,
      "isDeleted": false
  }
] 

Get site Modules

GET global/sites/{siteId}/modules

  • Parameters:

No Parameters

  • Response:

An array of Module

  • Example

Sample Request:

curl https://partnerapi.comm100.io/v4/global/sites/100/modules \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "id": "LiveChat",
      "name": "LiveChat",
      "description": "This is LiveChat.",
      "order": 1
  }
] 
Copyright © 2022 Comm100 Network Corporation. All Rights Reserved.